Subject: Re: [bug#28116] mate partial review

From: Efraim Flashner <[email-masked]>
Date: Mon, 28 Aug 2017 14:32:20 +0300

On Fri, Aug 25, 2017 at 06:11:25PM +0000, ng0 wrote:
> Efraim Flashner transcribed 16K bytes:
> > I did all the building on my aarch64 board and didn't test the graphical
> > aspects of running the programs. I also didn't check the
> > synopsis/description, but some of them do look like they need some work.
> 
> Thanks for this first review.
> I'll apply this as far as I can guess, having it all in one
> patch makes it hard to read but I'll figure it out.
> 

sorry about that, I applied all the patches and then just worked on them
all in one go.

> > patch 1: it turns out the home pages should also be https.
> > 
> > mate-icon-theme and mate-themes don't need gtk in the inputs to build.
> > 
> > libmateweather, mate-panel, mate-control-center: needs a configure flag
> > 
> > mate-applet: it built fine for me with upower as an input
> > 
> > mate-control-center: librsvg and gdk-pixbuf should be propagated
> > 
> > caja: I enabled the display server and the tests still failed on me
> > 
> > mate-metapackage: I copied the build from xfce, it seemed to build fine
> > for me.
> 
> Why use it like this? I copied my version from "gnome".
> 

xfce was changed because there were problems with overlapping packages
between xfce and gnome in the example os-config.scm

> 
> -- 
> ng0
> GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> GnuPG: https://n0is.noblogs.org/my-keys
> https://www.infotropique.org https://krosos.org

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted